org.apache.sling.crankstart.core.commands

## Class Exit

- java.lang.Object
- - org.apache.sling.crankstart.core.commands.Exit

All Implemented Interfaces:
  org.apache.sling.crankstart.api.CrankstartCommand

    public class Exit
    extends Object
    implements org.apache.sling.crankstart.api.CrankstartCommand

CrankstartCommand that exits if its qualifier is true. Used for warmup runs where we just want to create the initial Sling state.

### Field Summary

Fields
`static String` `I_EXIT`

### Constructor Summary

Constructors
Constructor and Description
`Exit()`

### Method Summary

Methods
`boolean` `appliesTo(org.apache.sling.crankstart.api.CrankstartCommandLine commandLine)`
`void` `execute(org.apache.sling.crankstart.api.CrankstartContext crankstartContext, org.apache.sling.crankstart.api.CrankstartCommandLine commandLine)`
`String` `getDescription()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### I_EXIT

    public static final String I_EXIT

See Also:
  Constant Field Values

### Constructor Detail

#### Exit

    public Exit()

### Method Detail

#### appliesTo

    public boolean appliesTo(org.apache.sling.crankstart.api.CrankstartCommandLine commandLine)

Specified by:
  `appliesTo` in interface `org.apache.sling.crankstart.api.CrankstartCommand`

#### getDescription

    public String getDescription()

Specified by:
  `getDescription` in interface `org.apache.sling.crankstart.api.CrankstartCommand`

#### execute

    public void execute(org.apache.sling.crankstart.api.CrankstartContext crankstartContext,
               org.apache.sling.crankstart.api.CrankstartCommandLine commandLine)
                 throws Exception

Specified by:
  `execute` in interface `org.apache.sling.crankstart.api.CrankstartCommand`
Throws:
  `Exception`